package hu.index.masodik;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Rendszergazda on 2013.06.13..
 */
public class Cikk implements Parcelable{

    private String title;
    private String lead;

    public Cikk(Parcel parcel){
        this.title = parcel.readString();
        this.lead = parcel.readString();
    }

    public Cikk(String title, String lead) {
        this.title = title;
        this.lead = lead;
    }


    public String getTitle() {
        return title;
    }

    public String getLead() {
        return lead;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(title);
        parcel.writeString(lead);
    }

    public static final Creator<Cikk> CREATOR = new Creator<Cikk>() {
        @Override
        public Cikk createFromParcel(Parcel parcel) {
            return new Cikk(parcel);
        }

        @Override
        public Cikk[] newArray(int i) {
            return new Cikk[0];
        }
    };
}
