package hu.index.masodik;

import android.content.Intent;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends Activity {

    private List<Cikk> cikkek;
    private CikkAdapter mAdapter;
    private GridView mListView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        cikkek = new ArrayList<Cikk>();
        cikkek.add(new Cikk("Első cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("Masodik vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));
        cikkek.add(new Cikk("N cikk címe", "Egy hosszú szöveges leírás vagyok, ami legalább hosszabb mint a cím..."));
        cikkek.add(new Cikk("N vagyok", "Rövidbb lead"));

        mAdapter = new CikkAdapter(cikkek);
        mListView = (GridView) findViewById(R.id.listView);
        mListView.setAdapter(mAdapter);

        mListView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                Cikk selectedCikk = (Cikk) mListView.getItemAtPosition(i);
                if(selectedCikk != null){
                    // Toast.makeText(MainActivity.this, selectedCikk.getTitle(), Toast.LENGTH_LONG).show();
                    Intent masikIntent = new Intent(MainActivity.this, MasikActivity.class);
                    masikIntent.putExtra("pelda", i);
                    masikIntent.putExtra("cikk", selectedCikk);
                    startActivity(masikIntent);
                    startActivityForResult(masikIntent, 4532);
                }
            }
        });


    }


    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        super.onActivityResult(requestCode, resultCode, data);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
}
